CWDatabase Class Reference

the main class to read the text part of Claris Works file More...

`#include <CWDatabase.hxx>`

## Public Member Functions

| CWDatabase (CWParser &parser)
| constructor More...
virtual | ~CWDatabase ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< CWStruct::DSET > | readDatabaseZone (CWStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...

## Protected Member Functions

bool | readDatabaseFields (CWDatabaseInternal::Database &dBase)
| try to read the database structure More...
bool | readDatabaseDefaults (CWDatabaseInternal::Database &dBase)
| try to read the default structure More...
bool | readDatabaseContent (CWDatabaseInternal::Database &dBase)
| try to read the record structure More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < CWDatabaseInternal::State > | m_state
| the state More...
CWParser * | m_mainParser
| the main parser; More...
shared_ptr< CWStyleManager > | m_styleManager
| the style manager More...

## Private Member Functions

| CWDatabase (CWDatabase const &orig)
CWDatabase & | operator= (CWDatabase const &orig)

## Friends

class | CWParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

CWDatabase::CWDatabase | ( | CWParser & | parser | ) |

constructor

CWDatabase::~CWDatabase | ( |  | ) |

virtual

destructor

CWDatabase::CWDatabase | ( | CWDatabase const & | orig | ) |

private

## Member Function Documentation

int CWDatabase::numPages | ( |  | ) | const

returns the number of pages

CWDatabase& CWDatabase::operator= | ( | CWDatabase const & | orig | ) |

private

bool CWDatabase::readDatabaseContent | ( | CWDatabaseInternal::Database & | dBase | ) |

protected

try to read the record structure

ARGHH: this zone is almost the only zone which count the header in sz ...

bool CWDatabase::readDatabaseDefaults | ( | CWDatabaseInternal::Database & | dBase | ) |

protected

try to read the default structure

bool CWDatabase::readDatabaseFields | ( | CWDatabaseInternal::Database & | dBase | ) |

protected

try to read the database structure

find f1=600 for a number f16 = 0[checkbox, ... ], 2[number or text],3 [name field], 82[value list], f16 & 8: can not be empty

shared_ptr< CWStruct::DSET > CWDatabase::readDatabaseZone | ( | CWStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

int CWDatabase::version | ( |  | ) | const

returns the file version

Referenced by readDatabaseDefaults(), and readDatabaseFields().

## Friends And Related Function Documentation

friend class CWParser

friend

## Member Data Documentation

CWParser* CWDatabase::m_mainParser

protected

the main parser;

MWAWParserStatePtr CWDatabase::m_parserState

protected

the parser state

Referenced by readDatabaseContent(), readDatabaseDefaults(), readDatabaseFields(), and version().

shared_ptr<CWDatabaseInternal::State> CWDatabase::m_state

protected

the state

shared_ptr<CWStyleManager> CWDatabase::m_styleManager

protected

the style manager

The documentation for this class was generated from the following files:

- CWDatabase.hxx
- CWDatabase.cxx